Bug 838516 - RESTAPI: api incorrectly describes host.nics.add() parameters
RESTAPI: api incorrectly describes host.nics.add() parameters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Yaniv Kaul
infra, network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 06:31 EDT by Michael Pasternak
Modified: 2015-09-22 09 EDT (History)
10 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-07-09 06:31:21 EDT
Description of problem:

1. api reports that 
     
        [@param hostnic.bonding.slaves.host_nic: collection]

optional, while validates: "bonding.slaves.id|name"

2. api reports as add() parameters

        [@param hostnic.ip.gateway: string]
        [@param hostnic.boot_protocol: string]
        [@param hostnic.mac: string]
        [@param hostnic.ip.address: string]
        [@param hostnic.ip.netmask: string]

while no ip related info is not manageable via this interface.
Comment 1 Ori Liel 2012-08-05 09:22:28 EDT
http://gerrit.ovirt.org/#/c/6111/

merged, commit 3de04fba32ccbb104d95ef9f8d0cf7ca8917471d
Comment 2 Ori Liel 2012-08-07 01:57:01 EDT
ignore last commit number, correct commit: f39263aaae3d198f6ca9980b741948cc2ea86968
Comment 3 Avi Tal 2012-08-12 12:06:00 EDT
Verify on SI13.2 - FAILED

http://emerald-31-vdc.qa.lab.tlv.redhat.com/api?rsdl:

<parameter required="false" type="xs:string">
 <name>hostnic.ip.gateway</name>
</parameter>
<parameter required="false" type="xs:string">
 <name>hostnic.boot_protocol</name>
</parameter>
<parameter required="false" type="xs:string">
 <name>hostnic.mac</name>
</parameter>
<parameter required="false" type="xs:string">
 <name>hostnic.ip.address</name>
</parameter>
<parameter required="false" type="xs:string">
 <name>hostnic.ip.netmask</name>
Comment 4 Itamar Heim 2012-08-14 01:40:58 EDT
mike - related to bug 846950?
Comment 5 lpeer 2012-08-14 02:35:31 EDT
(In reply to comment #4)
> mike - related to bug 846950?

No, this bug is about host nics properties and the other is about adding nics to templates.
Comment 6 Ori Liel 2012-08-26 04:17:45 EDT
The fix is actually ok.

the parameters: 'hostnic.ip.gateway', 'hostnic.boot_protocol', 'hostnic.mac', 'hostnic.ip.address', 'hostnic.ip.netmask' should have been removed from 'add' signature, not from 'update' signature, and this is indeed the case. These parameters now only appear for update signature. 

Please re-check
Comment 7 Avi Tal 2012-08-26 05:10:52 EDT
verify on si15.1 - PASS

these fields appear only for PUT command

Note You need to log in before you can comment on or make changes to this bug.